﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_FeeReceipt
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{

    <script src="~/Scripts/PreventDouble.js"></script>
    <script src="~/Scripts/AutoComplete-Ui.min.js"></script>
    <link href="@Url.Content("../assets/plugins/select2/select2_metro.css")" rel="stylesheet" type="text/css" />

    <script type="text/javascript">
        $(document).ready(function () {
            $("#PayAmt").attr('readonly', 'true');
            $("#PayAmt1").attr('readonly', 'true');
            $("#Remarks2").attr('readonly', 'true');
            $("#Remarks3").attr('readonly', 'true');
            $("#btnsavecon").click(function () {
                var nextdate = "";
                nextdate = $("#duedate").val();
                $("#hdnFinalduedate").val(nextdate);
                var FeeAmt = parseFloat($("#FeeAmount").val());
                var PaidAmt = parseFloat($("#PaidAmount").val());
                $('#basic').modal('show');
                $("#formine").validate({
                    submitHandler: function (form) {
                        // disable your button here
                        //form.submit();
                        $("#btnsave").attr('disabled', 'disabled');
                    },
                    invalidHandler: function () {
                        // re-enable the button here as validation has failed
                    }
                });
            });

            $("#admdetail").hide();
            $("#FeeDate").datepicker();
            $("#DurationOfExp").datepicker();
            $("#DueDate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/TbFeeReceipt/Index";
            });
            GetCourseForstudent($("#StudentId").val());

            if (document.URL.toString().indexOf('?') == -1) {
                //$('.ui-autocomplete-input').val('');

                $('#StudentId').val('');
            }
            // $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
        });


        $("#StudentId").change(function () {

            GetCourseForstudent($(this).val());
            var vale = $("#StudentId option:selected").val();

            if (vale != "") {
                $("#admdetail").show();
            }
            else {
                $("#admdetail").hide();
            }
        });

        function GetCourseForstudent(myval) {


            var idCourse = myval;
            $.getJSON("/TbFeeReceipt/LoadPackageByCourse", { id: idCourse },
   function (modelData) {

       var select = $("#CourseId");

       select.empty();
       select.append('<option value="0">Select a Course</option>');


       $.each(modelData, function (index, itemData) {
           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,
           }));
       });
   });

        }

        function showadmin() {
            //show student admission detail if you click on view button
            $("#admdetail").attr('href', '/MaAdmission/Details/' + $("#StudentId").val());
        }

    </script>
    <script>
        function closemodal() {
            $('#basic').modal('hide');
        }
    </script>
    <script type="text/javascript">

        $("#CourseId").change(function () {
            var idCourse = $(this).val();
            var stuid = $("#StudentId").val();
            $.getJSON("/TbFeeReceipt/LoadPackageBypackages", { id: idCourse, stuid: stuid },
   function (modelData) {
       var select = $("#PackageId");
       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Package"
       }));
       $.each(modelData, function (index, itemData) {
           select.append($('<option/>', {
               value: itemData.Value,
               text: itemData.Text,
           }));
       });
   });
            Getgroup(idCourse, stuid);
        });



        function Getgroup(idCourse, stuid) {

            $.getJSON("/TbFeeReceipt/GetGroupName", { id: idCourse, stu: stuid }, function (modelData) {

                $.each(modelData, function (index, itemData) {

                    if (itemData.Value == "GRAMMARS" || itemData.Value == "ENDEAVOURS") {
                        itemData.Value = itemData.Value.replace("S", "");
                    }
                    $("#GroupName").val(itemData.Value);
                });
            });
        }
    </script>
    <script type="text/javascript">

        $("#PackageId").change(function () {
            // alert("i m called");
            getnextduedate();
        });


    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#DiscountId").css("width", '80px')

            $("#btnsave").attr('disabled', true);

            $("#btnsave").hide();

            $(":text").css('width', '190px');
        });


        $("#PaidAmount").focus(function () {

            //$("#btnsave").attr('disabled', true);
        });


        $("#PaidAmount").blur(function () {


            amountcalculation();
            $("#btnsave").show();
            $("#btnsave").removeAttr('disabled');



        });

        $("#Discount").focus(function () {

            //$("#btnsave").attr('disabled', true);
        });

        $("#Discount").blur(function () {

            amountcalculation();
            $("#btnsave").show();
            $("#btnsave").removeAttr('disabled');
        });

        $("#DiscountId").change(function () {

            if ($("#DiscountId option:selected").text() == "Select") {
            }
            else {
                amountcalculation();
            }
        });


        function amountcalculation() {
            var feeamount = $("#FeeAmount").val();

            if (feeamount == "") {
                fee = 0.0
            }

            var paidamount = $("#PaidAmount").val();

            if (paidamount == "") {
                paidamount = 0.0;

            }

            var discount = $("#Discount").val();

            if (discount == "") {
                discount = 0.0;
            }

            var paid = parseFloat(paidamount);
            console.log(paid);
            $("#DiscountId option:selected").text();
            //if ($("#DiscountId option:selected").text() != "Select") {
            if ($("#DiscountId").val() != "Select") {
                var Discountpercet = $("#DiscountId option:selected").text(); //get discount percentage value.
                var dicounttotal = parseFloat(feeamount * parseFloat(Discountpercet) / 100);
                $("#Discount").val(dicounttotal);
                var discountperce = $("#Discount").val(); //get discount textbox value
                var afterdisfeeamount = parseFloat(parseFloat(feeamount) - parseFloat(discountperce)); //less discount from fee amount.
                TotbalAmt = parseFloat(afterdisfeeamount) - parseFloat(paid); //reduce the balance with feeamount
                $("#BalanceAmount").val(TotbalAmt);
                if (TotbalAmt != "0") {
                    getnextdate(); //gets the next day on partial payment
                }
                else {

                    getnextduedate(); //gets next date on fullpayment

                }
                $("#hiddenbalance").val(TotbalAmt);
                checkAmt();
            }

            else {

                $("#Discount").val();
                var disval = $("#Discount").val()
                if (disval == "") {
                    disval = 0.0;
                }
                var dicwitperfeeamt = parseFloat(feeamount - parseFloat(disval));
                var afterdisfeeamount = parseFloat(parseFloat(dicwitperfeeamt) - parseFloat(paid));
                $("#BalanceAmount").val(afterdisfeeamount);
                $("#hiddenbalance").val(afterdisfeeamount);
                if (afterdisfeeamount != "0") {
                    getnextdate(); //gets the next day on partial payment
                }
                else {
                    //getnextduedate(); //gets next date on full payment
                    Nextdateonly();
                }
                checkAmt();
                //                var discount = parseFloat(feeamount) - parseFloat(balance);
                //                alert(discount);
                //                $("#BalanceAmount").val(discount);

            }
        }


        function getnextdate() {  //get next day if partial payment is made
            var airurl = "/TbFeeReceipt/Getnextdate";
            $.getJSON(airurl,
   function (modelData) {




       $("#nxtday").val(modelData['NextDayDate']);
       $("#duedate").val(modelData['NextDayDate']);

       $("#DueDate").val($('#duedate').val());



   });
        }


        function Nextdateonly() {//get next date if full payment is made

            var airurl = "/TbFeeReceipt/Getonlynextdate";

            var packageid = $("#PackageId").val();
            var studid = $("#StudentId").val();
            var courehist = $("#CourseId").val();
            var BalanceAmount = $("#BalanceAmount").val();

            $.getJSON(airurl, { id: packageid, stdid: studid, coursehistid: courehist, BalanceAmount: BalanceAmount },
   function (modelData) {
       $("#duedate").val(modelData);

   });
        }

        function getnextduedate() {//get next date if full payment is made

            var airurl = "/TbFeeReceipt/GetInstallmentNo";

            var packageid = $("#PackageId").val();
            var studid = $("#StudentId").val();
            var courehist = $("#CourseId").val();

            $.getJSON(airurl, { id: packageid, stdid: studid, coursehistid: courehist },
   function (modelData) {



       $("#FeeAmount").val(modelData['installmentamount']);
       $("#installmentno").val(modelData['installmentno']);
       $("#InstallmentNoId").val(modelData['id']);
       $("#nxtmonth").val(modelData['NextMonthDate']);
       $("#nxtday").val(modelData['NextDayDate']);
       $("#duedate").val(modelData['NextDayDate']);

       $("#DueDate").val($('#duedate').val());

       $("#GroupName").val(modelData['GroupName']);
       if (modelData['doj'] == "fee finished") {
           alert("Complete Fee Is Paid");

           $("#btnsave").hide();
       }
       else {
           $("#doj").val(modelData['doj']);
           $("#btnsave").show();
       }

   });
        }

    </script>


    <script>
        $(document).ready(function () {
            App.init();
        });
    </script>
    <script>
        function checkAmt() {
            var FeeAmt = parseFloat($("#FeeAmount").val());
            var PaidAmt = parseFloat($("#PaidAmount").val());
            if (PaidAmt > FeeAmt) {
                $("#btnsave").attr('disabled', true);
                alert("Receive Amount must be less than or Equal to Due Amount")
            }
            else {
                $("#btnsave").removeAttr('disabled');
            }
        }
    </script>


    <script>
        function CalcTotal() {
            var Amout = $("#CashAmt").val();
            if (Amout == "") {
                Amout = 0.0;
            }
            var PAmt = $("#PayAmt").val();
            if (PAmt == "") {
                PAmt = 0.0;
            }
            var PAmt1 = $("#PayAmt1").val();
            if (PAmt1 == "") {
                PAmt1 = 0.0;

            }
            var totamt = parseFloat(Amout) + parseFloat(PAmt) + parseFloat(PAmt1)
            $("#PaidAmount").val(totamt);
        }
    </script>
    <script>
        $("#CashAmt").blur(function () {
            CalcTotal();
            amountcalculation();

        })
        $("#PayAmt").blur(function () {


            CalcTotal();
            amountcalculation();
        })
        $("#PayAmt1").blur(function () {
            CalcTotal();
            amountcalculation();
        })

    </script>
    <script>
        $("#PayMode").change(function () {
            var p1 = $("#PayMode").val();
            if (p1 != "Select" && p1 != "") {
                $("#PayAmt").removeAttr('readonly', 'true');
                $("#Remarks2").removeAttr('readonly', 'true');
            }
            else {
                $("#PayAmt").attr('readonly', 'true');
                $("#Remarks2").attr('readonly', 'true');
            }
        })
        $("#PayMode1").change(function () {
            var p1 = $("#PayMode1").val();
            if (p1 != "Select" && p1 != "") {
                $("#PayAmt1").removeAttr('readonly', 'true');
                $("#Remarks3").removeAttr('readonly', 'true');
            }
            else {
                $("#PayAmt1").attr('readonly', 'true');
                $("#Remarks3").attr('readonly', 'true');
            }
        })
    </script>

}
@using (Html.BeginForm("Create", "TbFeeReceipt", FormMethod.Post, new { @id = "formine" }))
{
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Receipt
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Save" class="btn btn-primary" id="btnsavecon" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                @if (ViewBag.error != null)
                {
                    @Html.Partial("~/Views/Shared/_ShowError.cshtml")
                }
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 750px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Receipt</legend>
                                            <table style="width: 100%">
                                                @*@Html.Hidden("BalanceDueAmt") *@
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.ReceiptNo)
                                                    </td>
                                                    <td style="vertical-align: top">
                                                        <b>Auto</b>
                                                    </td>
                                                    <td>
                                                        @Html.LabelFor(model => model.FeeDate)
                                                    </td>
                                                    <td style="vertical-align: top">
                                                        @{var fdate = DateTime.Now.AddMinutes(StaticLogic.TimeDifference).ToShortDateString();}
                                                        @{
                                                            string usrtype = Request.Cookies[CommonUtil.CookieUsertype].Value;
                                                            if (usrtype == CommonUtil.UserTypeAdmin || usrtype == CommonUtil.UserTypeSuperAdmin)
                                                            {
                                                                @Html.TextBox("FeeDate", @fdate)
                                                            }
                                                            else
                                                            {
                                                                @Html.TextBox("FeeDate", fdate, new { @disabled = "disabled" })
                                                                <input type="hidden" name="hdnfeedate" id="hdnfeedate" value="@fdate" />
                                                            }
                                                        }



                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.StudentId, "Student")
                                                    </td>
                                                    <td>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.DropDownList("StudentId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select..." })
                                                                </td>
                                                                <td>
                                                                    <a href="#" target="_blank" id="admdetail" onclick="showadmin();">View</a>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        @Html.ValidationMessageFor(model => model.StudentId)
                                                    </td>
                                                    <td>
                                                        @Html.LabelFor(model => model.CounselorId)
                                                    </td>
                                                    <td>
                                                        @ViewBag.Counselor
                                                        @Html.ValidationMessageFor(model => model.CounselorId)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.CourseId, "Course")
                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("CourseId", "Select")
                                                        @Html.ValidationMessageFor(model => model.CourseId)
                                                    </td>
                                                    @*<td style="vertical-align: top">
                                                            @Html.LabelFor(model => model.Remarks)
                                                        </td>
                                                        <td>
                                                            @Html.EditorFor(model => model.Remarks)
                                                            @Html.ValidationMessageFor(model => model.Remarks)
                                                        </td>*@
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.GroupName)
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.GroupName)
                                                        @Html.ValidationMessageFor(model => model.GroupName)
                                                    </td>
                                                    <td>Kit Provided</td>
                                                    <td>
                                                        @{
                                                            var kp = new List<System.Web.UI.WebControls.ListItem>();
                                                            //kp.Add(new System.Web.UI.WebControls.ListItem { Text = "Select", Value = "" });
                                                            kp.Add(new System.Web.UI.WebControls.ListItem { Text = "Yes", Value = "Yes" });
                                                            kp.Add(new System.Web.UI.WebControls.ListItem { Text = "No", Value = "No" });


                                                        }
                                                        @Html.DropDownListFor(model => model.KitProvided, new SelectList(kp), "Select", new { @class = "form-control select" })
                                                        @Html.ValidationMessageFor(model => model.KitProvided)

                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.PackageId, "Package")
                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("PackageId", "Select")
                                                        @Html.ValidationMessageFor(model => model.PackageId)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.InstallmentNoId, "Instalment No")
                                                    </td>
                                                    <td>
                                                        <input type="text" id="installmentno" />
                                                        @Html.HiddenFor(model => model.InstallmentNoId)
                                                    </td>
                                                    <td>
                                                        @Html.LabelFor(model => model.FeeAmount)
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.FeeAmount)
                                                        @Html.ValidationMessageFor(model => model.FeeAmount)
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>

                            <table style="width: 1000px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Payment Detail</legend>
                                            <table style="width: 100%">
                                                <tr>
                                                    <th>
                                                        Payment Mode
                                                    </th>
                                                    <th>
                                                        Amount
                                                    </th>
                                                    <th>Remarks</th>
                                                </tr>
                                                <tr>
                                                    <td align="center">
                                                        <b> Cash  </b>   <img src="~/Images/Rs.png" height="20px" width="20px" />
                                                    </td>
                                                    <td>
                                                        @Html.TextBoxFor(model => model.CashAmt, new { @placeholder = "Amount", @required = "true" })
                                                        @Html.ValidationMessageFor(model => model.CashAmt)
                                                    </td>
                                                    <td>@Html.TextAreaFor(model => model.Remarks1, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.DropDownList("PayMode", ViewBag.val as SelectList, "Select")
                                                    </td>
                                                    <td>
                                                        @Html.TextBoxFor(model => model.PayAmt, new { @placeholder = "Amount" })
                                                        @Html.ValidationMessageFor(model => model.PayAmt)
                                                    </td>
                                                    <td>@Html.TextAreaFor(model => model.Remarks2, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        @Html.DropDownList("PayMode1", ViewBag.val as SelectList, "Select")
                                                    </td>
                                                    <td>
                                                        @Html.TextBoxFor(model => model.PayAmt1, new { @placeholder = "Amount" })
                                                        @Html.ValidationMessageFor(model => model.PayAmt1)
                                                    </td>
                                                    <td>@Html.TextAreaFor(model => model.Remarks3, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>

                            <table align="right">
                                <tr>
                                    <td valign="top">
                                        <table align="right">
                                            <tr>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <span style="color: Red; font-size: 12px; font-weight: bold">
                                                        (Press Tab For Course Completion Date
                                                        & Save)
                                                    </span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td><br /></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <span style="color: Red; font-size: 12px; font-weight: bold">
                                                        (Press Tab For Course Completion Date
                                                        & Save)
                                                    </span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <table align="right" style="width: 550px">
                                            <tr>
                                                <td>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.Discount, "Discount")
                                                            </td>
                                                            <td>
                                                                @*@Html.DropDownList("DiscountId", "Select")*@
                                                                <input type="hidden" id="DiscountId" name="DiscountId" value="Select" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td>
                                                    @Html.EditorFor(model => model.Discount)
                                                    @Html.ValidationMessageFor(model => model.Discount)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.PaidAmount)
                                                </td>
                                                <td>
                                                    @Html.EditorFor(model => model.PaidAmount)
                                                    @Html.ValidationMessageFor(model => model.PaidAmount)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.BalanceAmount)
                                                </td>
                                                <td>
                                                    @Html.TextBoxFor(model => model.BalanceAmount, new { @disabled = "disabled" })
                                                    @Html.ValidationMessageFor(model => model.BalanceAmount)
                                                    @Html.HiddenFor(model => model.BalanceAmount, new { @id = "hiddenbalance" })
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    DOJ
                                                </td>
                                                <td>
                                                    <input type="text" disabled="disabled" id="doj" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Course Completion Date
                                                </td>
                                                <td>
                                                    <input type="text" disabled="disabled" id="duedate" />
                                                    <input type="hidden" id="hdnFinalduedate" name="hdnFinalduedate" />
                                                    @Html.HiddenFor(model => model.DueDate)
                                                    <input type="hidden" id="nxtmonth" />
                                                    <input type="hidden" id="nxtday" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>
                                New Password
                            </label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>
            </footer>
            <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        </div>
                        <div class="modal-body" style="height:145px">
                            <h3>Please Check that all information Provided by you is correct and then press Save.</h3>
                            <br />
                            <h4><b>Note :</b> Ensure that All the Mandatory fields are filled. </h4>
                        </div>
                        <div class="modal-footer">
                            <input type="submit" value="Save" class="btn btn-primary" onclick="closemodal()" id="btnsave" />
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                        </div>

                    </div>
                    <!-- /.modal-content -->
                </div>
                <!-- /.modal-dialog -->
            </div>

        </div>
    </div>

                                                            }
<div>
</div>
